gRPC C#
gRPC C#
Namespaces
Grpc.Core
KeyCertificatePair Class
KeyCertificatePair Constructor
KeyCertificatePair Properties
KeyCertificatePair Methods

KeyCertificatePair Class

Key certificate pair (in PEM encoding).
Inheritance Hierarchy
System
Object
Grpc.Core
KeyCertificatePair

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public sealed class KeyCertificatePair

    Public NotInheritable Class KeyCertificatePair

    public ref class KeyCertificatePair sealed

    [<SealedAttribute>]
    type KeyCertificatePair =  class end

The KeyCertificatePair type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| KeyCertificatePair | Creates a new certificate chain - private key pair.

Top
Properties

| Name | Description
--- | --- | ---
| CertificateChain | PEM encoded certificate chain.
| PrivateKey | PEM encoded private key.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace